Index: WebCore/html/HTMLOptionElement.idl
===================================================================
--- WebCore/html/HTMLOptionElement.idl	(revision 35758)
+++ WebCore/html/HTMLOptionElement.idl	(working copy)
@@ -27,7 +27,7 @@
     ] HTMLOptionElement : HTMLElement {
         readonly attribute  HTMLFormElement      form;
                  attribute  boolean              defaultSelected;
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
                  attribute  [ConvertNullToNullString] DOMString            text
                      setter raises(DOMException);
 #else
Index: WebCore/html/HTMLAnchorElement.idl
===================================================================
--- WebCore/html/HTMLAnchorElement.idl	(revision 35758)
+++ WebCore/html/HTMLAnchorElement.idl	(working copy)
@@ -47,7 +47,7 @@
         readonly attribute DOMString search;
         readonly attribute DOMString text;
 
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
         [DontEnum] DOMString toString();
 #endif
 
Index: WebCore/html/HTMLAppletElement.idl
===================================================================
--- WebCore/html/HTMLAppletElement.idl	(revision 35758)
+++ WebCore/html/HTMLAppletElement.idl	(working copy)
@@ -35,14 +35,14 @@
                  attribute [ConvertNullToNullString] DOMString code;
                  attribute [ConvertNullToNullString] DOMString codeBase;
                  attribute [ConvertNullToNullString] DOMString height;
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
                  attribute [ConvertNullToNullString] DOMString hspace;
 #else
                  attribute [ConvertFromString] long hspace;
 #endif
                  attribute [ConvertNullToNullString] DOMString name;
                  attribute [ConvertNullToNullString] DOMString object;
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
                  attribute [ConvertNullToNullString] DOMString vspace;
 #else
                  attribute [ConvertFromString] long vspace;
Index: WebCore/html/HTMLEmbedElement.idl
===================================================================
--- WebCore/html/HTMLEmbedElement.idl	(revision 35758)
+++ WebCore/html/HTMLEmbedElement.idl	(working copy)
@@ -30,7 +30,7 @@
         ImplementationUUID=93e0407a-8380-4ff0-978d-f773f2dee6a3
     ] HTMLEmbedElement : HTMLElement {
                  attribute [ConvertNullToNullString] DOMString align;
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
                  attribute [ConvertNullToNullString] DOMString height;
 #else
                  attribute [ConvertFromString] long height;
@@ -38,7 +38,7 @@
                  attribute [ConvertNullToNullString] DOMString name;
                  attribute [ConvertNullToNullString] DOMString src;
                  attribute [ConvertNullToNullString] DOMString type;
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
                  attribute [ConvertNullToNullString] DOMString width;
 #else
                  attribute [ConvertFromString] long width;
Index: WebCore/dom/Document.idl
===================================================================
--- WebCore/dom/Document.idl	(revision 35758)
+++ WebCore/dom/Document.idl	(working copy)
@@ -156,7 +156,7 @@
 
                  attribute [ConvertNullToNullString] DOMString title;
         readonly attribute DOMString referrer;
-#if defined(LANGUAGE_JAVASCRIPT)
+#if (defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT))
                  attribute [ConvertNullToNullString] DOMString domain;
 #else
         readonly attribute DOMString domain;
@@ -182,7 +182,7 @@
 
         NodeList getElementsByName(in DOMString elementName);
 
-#if defined(LANGUAGE_JAVASCRIPT)
+#if (defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT))
                  attribute [Custom] Location location;
 #endif
 
@@ -195,7 +195,7 @@
         Element            elementFromPoint(in long x, in long y);
 
         // Mozilla extensions
-#if defined(LANGUAGE_JAVASCRIPT)
+#if (defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT))
         DOMSelection       getSelection();
 #endif
         readonly attribute [ConvertNullStringTo=Null] DOMString characterSet;
@@ -236,7 +236,7 @@
         NodeList getElementsByClassName(in DOMString tagname);
 
         // NodeSelector - Selector API
-#if defined(LANGUAGE_JAVASCRIPT)
+#if (defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT))
         [Custom] Element querySelector(in [ConvertUndefinedOrNullToNullString] DOMString selectors, in NSResolver resolver)
             raises(DOMException);
         [Custom] NodeList querySelectorAll(in [ConvertUndefinedOrNullToNullString] DOMString selectors, in NSResolver resolver)
Index: WebCore/dom/RangeException.idl
===================================================================
--- WebCore/dom/RangeException.idl	(revision 35758)
+++ WebCore/dom/RangeException.idl	(working copy)
@@ -27,7 +27,7 @@
         readonly attribute DOMString        name;
         readonly attribute DOMString        message;
 
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
         [DontEnum] DOMString toString();
 #endif
 
Index: WebCore/dom/DOMCoreException.h
===================================================================
--- WebCore/dom/DOMCoreException.h	(revision 35758)
+++ WebCore/dom/DOMCoreException.h	(working copy)
@@ -27,7 +27,7 @@
  */
 
 #ifndef DOMCoreException_h
-#define DOMCodeException_h
+#define DOMCoreException_h
 
 #include "ExceptionBase.h"
 
Index: WebCore/dom/EventException.idl
===================================================================
--- WebCore/dom/EventException.idl	(revision 35758)
+++ WebCore/dom/EventException.idl	(working copy)
@@ -37,7 +37,7 @@
         readonly attribute DOMString        name;
         readonly attribute DOMString        message;
 
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
         // Override in a Mozilla compatible format
         [DontEnum] DOMString toString();
 #endif
Index: WebCore/dom/KeyboardEvent.idl
===================================================================
--- WebCore/dom/KeyboardEvent.idl	(revision 35758)
+++ WebCore/dom/KeyboardEvent.idl	(working copy)
@@ -59,7 +59,7 @@
                                in boolean altGraphKey);
 
         // WebKit Extensions
-#if !defined(LANGUAGE_JAVASCRIPT)
+#if ((!defined(LANGUAGE_JAVASCRIPT)) && (!defined(LANGUAGE_GOBJECT)))
         readonly attribute long             keyCode;
         readonly attribute long             charCode;
         
Index: WebCore/dom/DOMCoreException.idl
===================================================================
--- WebCore/dom/DOMCoreException.idl	(revision 35758)
+++ WebCore/dom/DOMCoreException.idl	(working copy)
@@ -36,7 +36,7 @@
         readonly attribute DOMString        name;
         readonly attribute DOMString        message;
 
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
         // Override in a Mozilla compatible format
         [DontEnum] DOMString toString();
 #endif
Index: WebCore/xml/XPathException.idl
===================================================================
--- WebCore/xml/XPathException.idl	(revision 35758)
+++ WebCore/xml/XPathException.idl	(working copy)
@@ -37,7 +37,7 @@
         readonly attribute DOMString        name;
         readonly attribute DOMString        message;
 
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
         // Override in a Mozilla compatible format
         [DontEnum] DOMString toString();
 #endif
Index: WebCore/xml/XMLHttpRequestException.idl
===================================================================
--- WebCore/xml/XMLHttpRequestException.idl	(revision 35758)
+++ WebCore/xml/XMLHttpRequestException.idl	(working copy)
@@ -36,7 +36,7 @@
         readonly attribute DOMString        name;
         readonly attribute DOMString        message;
 
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
         // Override in a Mozilla compatible format
         [DontEnum] DOMString toString();
 #endif
Index: WebCore/page/DOMWindow.idl
===================================================================
--- WebCore/page/DOMWindow.idl	(revision 35758)
+++ WebCore/page/DOMWindow.idl	(working copy)
@@ -155,7 +155,7 @@
         [DoNotCheckDomainSecurity, Custom] void postMessage(in DOMString message, in DOMString targetOrigin)
             raises(DOMException);
 
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
         // Global constructors
         attribute StyleSheetConstructor StyleSheet;
         attribute CSSStyleSheetConstructor CSSStyleSheet;
Index: WebCore/page/DOMSelection.idl
===================================================================
--- WebCore/page/DOMSelection.idl	(revision 35758)
+++ WebCore/page/DOMSelection.idl	(working copy)
@@ -62,7 +62,7 @@
         void removeAllRanges();
         void addRange(in Range range);
 
-#if defined(LANGUAGE_JAVASCRIPT)
+#if defined(LANGUAGE_JAVASCRIPT) || defined(LANGUAGE_GOBJECT)
         [DontEnum] DOMString toString();
 #endif
     };
Index: WebKitTools/GNUmakefile.am
===================================================================
--- WebKitTools/GNUmakefile.am	(revision 35758)
+++ WebKitTools/GNUmakefile.am	(working copy)
@@ -5,6 +5,7 @@
 # GtkLauncher
 Programs_GtkLauncher_CPPFLAGS = \
 	-I$(srcdir)/WebKit/gtk \
+	-I$(srcdir)/WebKit/gtk/webkit \
 	-I$(top_builddir)/WebKit/gtk \
 	$(global_cppflags) \
 	$(javascriptcore_cppflags)
